LINUX.ORG.RU
ФорумAdmin

APT. Как понять, что сломалось?

 , ,


0

1

Не хочет обновляться пакет libkf5iconthemes-data на Kubuntu Utipic (14.10) + KF5 (kubuntu-next)

Говорит вот такое:
sudo apt-get dist-upgrade

 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Пакеты, которые будут оставлены в неизменном виде:
  libkf5iconthemes-data
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 1 пакетов не обновлен

apt-cache policy libkf5iconthemes-data

libkf5iconthemes-data:
  Установлен: 5.1.0-0ubuntu1
  Кандидат:   5.2.0-0ubuntu1
  Таблица версий:
     5.2.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ utopic-proposed/universe amd64 Packages
 *** 5.1.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ utopic/universe amd64 Packages
        100 /var/lib/dpkg/sta

apt-cache depends libkf5iconthemes-data

libkf5iconthemes-data

apt-cache showpkg libkf5iconthemes-data

Package: libkf5iconthemes-data
Versions: 
5.2.0-0ubuntu1 (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic-proposed_universe_binary-amd64_Packages)
 Description Language: 
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_binary-amd64_Packages
                  MD5: 578fa16cac448ea74c812b85c82e8cb2
 Description Language: en
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_i18n_Translation-en
                  MD5: 578fa16cac448ea74c812b85c82e8cb2
 Description Language: ru
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_i18n_Translation-ru
                  MD5: 578fa16cac448ea74c812b85c82e8cb2

5.1.0-0ubuntu1 (/var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_binary-amd64_Packages) (/var/lib/dpkg/status)
 Description Language: 
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_binary-amd64_Packages
                  MD5: 578fa16cac448ea74c812b85c82e8cb2
 Description Language: en
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_i18n_Translation-en
                  MD5: 578fa16cac448ea74c812b85c82e8cb2
 Description Language: ru
                 File: /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_utopic_universe_i18n_Translation-ru
                  MD5: 578fa16cac448ea74c812b85c82e8cb2


Reverse Depends: 
  libkf5iconthemes5,libkf5iconthemes-data 5.1.0-0ubuntu1
Dependencies: 
5.2.0-0ubuntu1 - 
5.1.0-0ubuntu1 - 
Provides: 
5.2.0-0ubuntu1 - libkf5iconthemes-data:i386 
5.1.0-0ubuntu1 - libkf5iconthemes-data:i386 
Reverse Provides: 

sudo apt-get install libkf5iconthemes-data

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  kactivities kde-cli-tools-data kded5 khotkeys-data kio-extras-data ksysguard-data ksysguardd ktexteditor-data kwin-data kwrited-data
  libjs-underscore libkdecorations5 libkf5activities5 libkf5baloocore1 libkf5baloofiles1 libkf5balooxapian1 libkf5dnssd-data libkf5dnssd5
  libkf5emoticons-bin libkf5emoticons-data libkf5emoticons5 libkf5filemetadata-bin libkf5filemetadata-data libkf5filemetadata1
  libkf5idletime5 libkf5js5 libkf5jsembed-data libkf5jsembed5 libkf5kcmutils-data libkf5khtml-data libkf5kiontlm5 libkf5newstuff-data
  libkf5notifyconfig-data libkf5pty-data libkf5pty5 libkf5screen5 libkf5su-bin libkf5su5 libkf5sysguard5 libkf5sysguard5-data
  libkf5threadweaver5 libkf5xmlrpcclientprivate5 libksgrd5 libkwineffects5 libkwinglutils5 libkwinxrenderutils5 libkworkspace5
  liboxygenstyle5-5 liboxygenstyleconfig5-5 libplasma-geolocation-interface5 libpoppler-qt5-1 libpowerdevilui5 libprocesscore5
  libqgsttools-p1 libqt5concurrent5 libqt5designercomponents5 libqt5multimedia5 libqt5multimedia5-plugins libqt5multimediaquick-p5
  libqt5multimediawidgets5 libqt5quickwidgets5 libxcb-damage0 libxcb-xtest0 plasma-desktop-data powerdevil-data qdbus-qt5
  qml-module-qtgraphicaleffects qml-module-qtmultimedia qml-module-qtquick-controls qml-module-qtquick-dialogs qml-module-qtquick-layouts
  qml-module-qtquick-privatewidgets qml-module-qtquick-window2 qtbase5-dbg qtdeclarative5-controls-plugin qtdeclarative5-kf5solid
  qtdeclarative5-quicklayouts-plugin qttools5-dev-tools systemsettings-data ttf-oxygen-font-family
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  baloo-kf5 frameworkintegration kde-cli-tools kde-config-gtk-style kde-style-oxygen-qt5 khelpcenter khotkeys kinfocenter kinit kio
  kio-extras kmenuedit kscreen ksysguard ktexteditor-katepart kubuntu-driver-manager kubuntu-notification-helper kubuntu-plasma5-desktop
  kwin kwin-decoration-oxygen kwrited libdebconf-kde1 libkf5bookmarks5 libkf5declarative5 libkf5iconthemes-bin libkf5iconthemes5
  libkf5kcmutils5 libkf5kdelibs4support5 libkf5kdelibs4support5-bin libkf5khtml-bin libkf5khtml5 libkf5kiofilewidgets5 libkf5kiowidgets5
  libkf5newstuff5 libkf5notifications5 libkf5notifyconfig5 libkf5parts-plugins libkf5parts5 libkf5plasma5 libkf5plasmaquick5 libkf5runner5
  libkf5style5 libkf5texteditor5 libkf5textwidgets5 libkf5wallet-bin libkf5wallet5 libkf5webkit5 libkf5xmlgui5 libkfontinst5 libkfontinstui5
  libksignalplotter5 libkwalletbackend5-5 libkwin4-effect-builtins1 libpowerdevilcore2 libprocessui5 libtaskmanager5 libweather-ion7 milou
  plasma-desktop plasma-framework plasma-nm plasma-workspace powerdevil qapt-deb-installer qml-module-org-kde-draganddrop
  qml-module-org-kde-kcoreaddons qml-module-org-kde-kquickcontrols qml-module-org-kde-kquickcontrolsaddons qml-module-org-kde-runnermodel
  qtdeclarative5-kf5declarative systemsettings systemsettings-dbg
Пакеты, которые будут обновлены:
  libkf5iconthemes-data
обновлено 1, установлено 0 новых пакетов, для удаления отмечено 72 пакетов, и 0 пакетов не обновлено.
Необходимо скачать 28,9 kБ архивов.
После данной операции, объём занятого дискового пространства уменьшится на 124 MB.
Хотите продолжить? [Д/н] n
Аварийное завершение.

Прошу прощения за портянку, но не могу понять, что сломалось. Помогите пожалуйста

Хм, кажется вот это:
apt-cache policy libkf5iconthemes5

libkf5iconthemes5:
  Установлен: 5.1.0-0ubuntu1
  Кандидат:   5.1.0-0ubuntu1
  Таблица версий:
 *** 5.1.0-0ubuntu1 0
        500 http://archive.ubuntu.com/ubuntu/ utopic/universe amd64 Packages
        100 /var/lib/dpkg/status

Тут версия 5.1.0 а libkf5iconthemes-data = 5.2.0. Казалось бы просто нет нужного пакета в репозитории. Но такое «подвисшее состояние» уже с начала недели.

KennyMinigun ★★★★★ ()

Что-то *-data пакетов с 5.2.0 становится всё больше:
sudo apt-get upgrade

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений…Готово
Пакеты, которые будут оставлены в неизменном виде:
  ktexteditor-data libkf5bookmarks-data libkf5kcmutils-data libkf5khtml-data libkf5newstuff-data libkf5notifications-data
  libkf5notifyconfig-data libkf5parts-data libkf5xmlgui-data
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 9 пакетов не обновлено.

KennyMinigun ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.